
MAPIES: Monarch Assimilation Preproc and Inversion of Emissions plus Satellites (acronym is subject to improve)

MAPIES is a modular library for processing satellite data for the AC group.

```mermaid
---
title: MAPIES flowchart
---
flowchart TB
	Download
    raw[Raw downloaded files L1/L2/L3]
    subgraph Preprocessing
    read[Read]
    select[Time-domain selection]
    filter[QF-QC]
    convert[Units conversion]
    subsample[Undersample or average]
    error[Error estimation]
    extend[Data merger]
    write[Write]
    end
    Download --> raw
    raw --> Preprocessing
    formatted[Formatted data]
    Preprocessing --> formatted
    formatted -->|average|Providentia
    formatted -->MonarchDA
    formatted -->Plumes
    formatted -->Other
    formatted --- Storage
    Other
    MONARCH -->|interpolate|Providentia
    EC-EARTH -->|interpolate|Providentia
    MONARCH --> MonarchDA
```